// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
// using bcm2835 library
// see http://airspayce.com/mikem/bcm2835/
// $ gcc -o foo var.c -l bcm2835
// $ sudo ./foo

#include <stdio.h>
#include <stdlib.h>
#include <bcm2835.h>

// SW4 = GPIO25 = P1_22
#define PIN RPI_V2_GPIO_P1_22

int main(int argc, char **arg)
{
	int value;

	if(!bcm2835_init())return 1;

	bcm2835_gpio_fsel(PIN, BCM2835_GPIO_FSEL_INPT);

	bcm2835_gpio_set_pud(PIN, BCM2835_GPIO_PUD_UP);

	value = bcm2835_gpio_lev(PIN);
	printf("%d\n", value);

}


